tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Class PubSubModule.RetrieveItemsAsyncCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubAsyncCallback
  - - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubModule.RetrieveItemsAsyncCallback

- All Implemented Interfaces:
    AsyncCallback
  Enclosing class:
    PubSubModule

      public abstract static class PubSubModule.RetrieveItemsAsyncCallback
      extends PubSubAsyncCallback

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PubSubModule.RetrieveItemsAsyncCallback.Item`

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubAsyncCallback

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetrieveItemsAsyncCallback()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `onRetrieve(IQ responseStanza, String nodeName, Collection<PubSubModule.RetrieveItemsAsyncCallback.Item> items)`
    `protected void` | `onRetrieve(IQ responseStanza, String nodeName, Collection<PubSubModule.RetrieveItemsAsyncCallback.Item> items, Integer count, Integer firstIndex, String first, String last)`
    `void` | `onSuccess(Stanza responseStanza)` Called when received response has type result.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubAsyncCallback

      `onEror, onError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.AsyncCallback

      `onTimeout`

- - ### Constructor Detail

    - #### RetrieveItemsAsyncCallback

          public RetrieveItemsAsyncCallback()

  - ### Method Detail

    - #### onRetrieve

          protected abstract void onRetrieve(IQ responseStanza,
                                             String nodeName,
                                             Collection<PubSubModule.RetrieveItemsAsyncCallback.Item> items)

    - #### onRetrieve

          protected void onRetrieve(IQ responseStanza,
                                    String nodeName,
                                    Collection<PubSubModule.RetrieveItemsAsyncCallback.Item> items,
                                    Integer count,
                                    Integer firstIndex,
                                    String first,
                                    String last)

    - #### onSuccess

          public void onSuccess(Stanza responseStanza)
                         throws JaxmppException

      Description copied from interface: `AsyncCallback`
      Called when received response has type result.
      Parameters:
        `responseStanza` - received stanza
      Throws:
        `JaxmppException`

Copyright © 2006–2016 Tigase. All rights reserved.